<?php
/**
 *
 * @author	Hj Ahmad Rasyid Hj Ismail "ahrasis"
 * @email	ahrasis@gmail.com
 * @link	https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	EUCA: EU Cookie Alert
 *
 */

if (!defined('ELK'))
	die('No access...');

function alert(&$buttons)
{
	global $context;
	
	if ($context['user']['is_guest'] && !empty($modSettings['euca_enable'])) {
		$context['html_headers'] .= '
			<script async src="//www.geoplugin.net/extras/cookielaw.js" type="text/javascript"></script>
			<script type="text/javascript">
				if (geop1ugin_cookieConsent()) {
					var css = document.createElement("link");
					css.href = "/themes/default/css/EUCA/EUCA.min.css";
					css.rel = "stylesheet";
					css.type = "text/css";
					css.media = "only x";
					css.onload = function() {css.media = "all"}
					document.getElementsByTagName("head")[0].appendChild(css);
					jQuery.getScript("/themes/default/scripts/EUCA/EUCA.min.js", function(){});
					window.addEventListener("load", function() {
						window.cookieconsent.initialise( {
							"palette": {
								"popup": {
									"background": "#000"
								},
								"button": {
									"background": "#f1d600"
								}
							}
						})
					});
				}
			</script>
		';
	}
}

function setting(&$config_vars)
{
	// Load Language(s)
	loadLanguage('EUCA/EUCA');

	// Add Setting(s)
	$euca = array(
		array('check', 'euca_enable'),
		'',
	);

	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $euca);
}
?>	